extends Control


var subtitle_label = preload("res://UI/Subtitle/SubtitleLabel.tscn")


func add_subtitle(character, text):
	if settings.subtitles:
		var new_subtitle = subtitle_label.instance()
		new_subtitle.character = character
		new_subtitle.subtitle_text = text
		$Margin/Vbox.add_child(new_subtitle)
